Introduction

EasyOffice BackupTM is an important member of the EasyOffice family that lets you backup (or restore) your EasyOffice data files.

Computers can break and lose all the data on their hard disks.

If your computer broke down, and, for example, needed a new hard drive, you could have your computer repaired. However, you would then have to restore the information your hard drive lost. You could simply put in the EasyOffice CD-ROM, and all the EasyOffice programs would be re-installed. But what about the data? (The documents, spreadsheets, contact lists, presentations, bookkeeping books, etc, that you created are the 'data'.)

You must 'backup' your data files and keep them somewhere else besides on your computer. If your computer ever breaks, then you can use these 'backup' data files to 'restore' the data back to your repaired computer.

You can keep 'backup' data files on a floppy disk (or on many floppy disks if you have many data files), or on another computer on your office network, or on another computer on the Internet, or on a writable CD-ROM (usually called a 'CD-R'). The idea is to have a copy (i.e., the 'backup') of your data somewhere else besides on your computer.

EasyOffice Backup will allow you to easily backup your EasyOffice data files as well as any other files on your computer (and should the worst ever happen, it will allow you to restore these files back to your computer).

EasyOffice Backup is quite easy-to-use and has a number of very useful features:

  • Backs up (and restores) EasyOffice data files as well as any other files and folders you specify

  • Specify backup procedure only 1 time - remembered in a 'setting file' . Each time you perform a backup, EasyOffice Backup will remember what files you want backed up, where you want them backed, how you want them backed up, etc.

  • 'Setting File' can be specified by System Administrator, if so desired, and downloaded as simple text file to all users' computers.

  • Can select files created in last week, month, etc.

  • Will work with Microsoft Backup or other backup programs, if so desired

  • Will work with CD-writer programs and other storage device programs (all data will be packaged within a single directory, ready to be written to physical media by other programs, if so desired)

  • Will automatically span backup onto multiple floppy disks, if so desired

  • Backups can automatically be Zipped and/or password protected

  • Includes EasyBack.exe which can be run from the command line


EasyBackup Tutorial

EasyOffice Backup Tutorial

The EasyOffice Backup Tutorial guides you through the basic steps of using EasyOffice Backup. By default, this tutorial appears each time you start EasyOffice Backup.

  • To view the tutorial at any time, select EasyOffice Backup Tutorial, found in the Help menu.

To stop the Tutorial from appearing, you can answer "No" to the question that appears when you exit the program and asks if you want the Tutorial to appear again the next time. As well, you can also go to the Help button and click, and a menu will drop down. If there is a check mark beside 'Start Tutorial at Startup', then click this selection. The check mark will disappear, and the next time that you start EasyOffice Backup the tutorial will not appear.


I always copy my files to a floppy each time I use a program

I always copy my files to a floppy whenever I use one of the EasyOffice Programs. Do I need to use EasyOffice Backup?

No (not for backup; but you can still use EasyOffice Backup for 'restore', should it ever be needed).

If every time you write a document with EasyWord you copy it to a floppy disk from within EasyWord (or, every time you create a spreadsheet you copy it to a floppy disk from within EasySpreadsheet, and so on), then you already have backups.

(You should, of course, also store a copy of your documents, spreadsheets, etc on the hard drive of your computer so that if the floppy disk is damaged, you have another copy of your work. It is dangerous to allow your work to only reside on a floppy disk -- floppy disks can be easily damaged.)

If your computer should ever break down and you lose your data, you can simply retrieve the lost file from the floppy disk.


Where should I back up my data to?

Floppy disks

Floppy disks are a good choice for many users. They are very portable, easy for the computer to write, and easy to store. Generally, you should ZIP your backup files (you are given the option to do so in Step 5 of the backup procedure) if you are going to backup to floppy disks. Doing so will save space requiring less floppies for backup, plus also allow your files to be 'spanned' across multiple floppies if necessary.

However, if you have many files, or very large files, you may want to consider other means of backing up your data.

Another Computer on Network

If you are in an office that has its computers networked together, one of these computers (often the server computer) may be designated as the place to which to backup your data. Backing up over a network is usually very convenient.

The Internet

Several sites on the Internet offer users a place to store their files. At the time of this writing, a number of Internet sites actually offer this service for free (although users may see some advertising while using their sites). Check www.e-press.com for more information.

CD-ROMs

A CD-ROM that you burn yourself in your computer is sometimes called a CD-R (or CD-RW if it is re-usable).

CD-Rs can hold more than 600MB of data - the equivalent of many hundreds of floppy disks.

If you have many files, backing up to a CD-R is often the most efficient solution. EasyOffice Backup will group and copy all the files you need to back up to one convenient folder, which you can then back up using your CD-R software.

Tape and Other Backup Media

EasyOffice Backup will group and copy all the files you need to back up to one convenient folder, which you can then back up using any specialized backup systems you may have.


Backing Up to Floppy Disks

Step 1

When you start EasyOffice Backup, you will be asked if you want to you back up or restore your files. Choose Backup files.

If you want to use a setting file, you can do so here. Check off Load settings from 'setting file'. See Using Setting Files for help.

Click Next to continue.

Step 2

You will be asked which types of EasyOffice data files you want to back up. By default, it will back up all the EasyOffice data files.

Un-check the data files you do NOT want to back up. If you are backing up onto floppy disks (which have limited storage capacity), you should un-check any data files you do not need backed up. For example, you may have 10MB of presentation files, which you currently do not need to back up. In this case, un-check Easy Presentation so you do not need a half-dozen extra floppies to back up its data files.

Click Next.

Step 3

You will be asked if you want to back up any other files or folders. Check off the folders and files you want to back up. This step is optional.

Click Next.

Step 4

You will be asked if you want to back up all files, or only files that were changed within a certain time period (within the last week, month, 3 months, or year). Again, remember that if you are backing up onto floppy disks which have limited storage space, only back up what you really need to. If you make backups every week, then you really only need to back up the files that changed in the last week. If you have not made backups for a month, then you should select those files that were changed in the last month. If you are not sure what backups you have made, you can, of course, simply choose to back up all the files.

Click Next.

Step 5

EasyOffice Backup will tell you the size of the files and folders that you have selected to back up. If this size seems too large (for example, you only have a limited number of floppy disks to use as backups), then click Back and re-select the files and folders you want backed up.

EasyOffice Backup also asks where you want your data backed up.

Below, note that you have the option to zip your backup files, and to zip and password-protect your backup files. If you are backing up onto multiple floppy disks, you should choose to zip your backup so that the files can be spanned across the disks. (If you do not, this option will be chosen for you automatically. If you force a backup of this size onto multiple floppy disks without zip-spanning, you will receive a message that backup onto floppies is not possible, and instead, all files have been consolidated in the folder c:\EasyBackup.)

Click Next.

Step 6

You will be asked to specify a name for the zip file. If you chose to backup onto floppy disks, a default name of a:\EasyBackup.zip will be chosen for you. You can use this name, unless you want to use a specific, unique name.

Click Next.

Step 7

You will then be asked to specify a setting file name. Essentially all the settings of this backup session (what types of files were backed up, where, and how) will be saved in the setting file. It is useful to have a setting file so that the next time you do a backup, you do not have to go through each step.

The default setting file name, which will be selected for you if you do not have one, is EasyBackup.sav. The default directory where setting files are saved to is typically c:\EasyBackup or a:\EasyBackup.

Note: The setting file MUST be saved with the backup, so that the backup can later be restored. However, if the setting file is saved to drive a:, as in the case of a backup to floppy disks, then a copy of the setting file will be placed in c:\EasyBackup automatically, so that you can use the setting file without retrieving it from the floppy disk.

If you do not want to specify and save a setting file, click Skip this step... I don't want to specify a 'setting file'.

Step 7..continued

Now that all the settings have been specified, the backup will start to run. In this case, if you chose to backup your files onto multiple floppy disks, you will see a small message box asking you insert the first floppy disk. Click OK. You will see a message "Backup is now running.... Please wait" and graphical bars showing the backup in progress.

Step 8

After all the files have been copied to floppy disks, you will see a message, "Your data files have been successfully backed up to A:"

Step 9

You will see a message here about your backup and/or how to restore these files in the future, etc.

Click End to close the EasyOffice Backup program. Click Home to restart the program.


Backing Up to Network Computers

If you are in an office that has its computers networked together, one of these computers (often the server computer) may be designated as the place to which to back up your data. Backing up over a network is usually very convenient.

Step 1

Start EasyOffice Backup, and you will be asked if you want to backup or restore files. Choose Backup files and click Next.

Step 2 to Step 4

EasyOffice Backup will ask which data files you want to back up. You will then be asked if you want to back up all files, or files that were changed in the last week or month or year, and so on.

Step 5

EasyOffice Backup will then ask where you want your data backed up to. Choose Another Computer on My Network.

Now, click Next.

EasyOffice Backup will first make sure that your computer is connected to the network. It will then ask you to select where on the network you would like to backup your files to. It will then backup your files to this location, and upon completion tell you that your data files have been successfully backed up to this location.

Step 6

You will be asked to choose where on the network you want to back up the files to. Select the folder on the computer you want to back up to.

Click Next.


Backing Up to CD-Rs

If you have large numbers of data files to back up, and you have a CD-writer in your computer, then you should consider making backups on CD.

Step 1

Start EasyOffice Backup, and you will be asked if you want to backup or restore files. Choose Backup files and click Next.

Step 2 to Step 4

You will be asked which data files you want to back up. You will then be asked if you want to back up all files, or files that were changed in the last week or month or year, and so on.

If you have more than 650MB of data files, then you should select perhaps the files that have changed in the last week or month (as appropriate for the last backup done), so that you will be able to fit your entire backup onto a single CD. As well, the smaller the size of the backup files, the less time it takes to write the CD.

If you have more than 650MB (or 700MB, depending on the CD type) of data to back up, this is not usually a problem, except that you will need more than one CD for your backup. When you use your CD-writer's CD-creating software, if it does not have automatic spanning, then you will simply have to select 650MB or less of files to write to each CD, one CD at a time, until you have copied all the files in c:\EasyBackup to the CDs.

Step 5

You will be asked where you want to back up your data to. Choose To the folder, C:\EasyBackup.

Now, click Next.

Step 6

If you want to backup your data in another folder or on another drive besides c:, you will be given the choice to do so. Otherwise, just click Next to continue.

Step 7

EasyOffice Backup will automatically copy and group all of the selected files from EasyOffice to c:\EasyBackup (or other directory that you have specified).

You can now use your CD-creating software that comes with your CD-writer to copy the directory c:\EasyBackup to a CD.


Backing Up to the Internet

Backup to the Internet

If you have a high-speed connection to the Internet, then backing up your files to the Internet can be very convenient. As well, you can always access these files from anywhere in the world, as long as you have an Internet-connected computer.

At the time of this writing, there are a number of companies that allow you to backup your files on their Internet-connected storage sites for free. There is usually a limitation on size (often 20MB of files, sometimes up to 100MB of files), but reasonable rates are to be had if you need to store more files than this. As well, often there is advertising associated with these sites. At the time of this writing, popular sites include www.xdrive.com and www.anuvio.com.

Step 1

When you start EasyOffice Backup, it will ask you if you want to back up or restore files. Choose Backup files.

If you want to use a setting file, you can do so here. Check off Load settings from 'setting file'. See Using Setting Files for help.

Click Next.

Step 2

You will be asked which data files you want to back up. By default, all EasyOffice data files will be backed up. If you have a large number of files that you do not want to waste time uploading to the Internet, then you could check only specific programs from EasyOffice to back up. For example, if you do not need to back up presentation files, un-check the EasyPresentation box.

Click Next.

Step 3

You will be asked if you want to back up any other files or folders. Check off the folders and files you want to back up. This step is optional.

Click Next.

Step 4

You will be asked if you want to back up all files, or only files that were changed in the last week or month or year. Again, if you have large numbers of files and do not want to waste the upload time on files that have already been backed up, then you should consider this option, and select perhaps the files that have changed in the last week or month (as appropriate for the last backup done).

Click Next.

Step 5

You will be asked where you want your data backed up to. Choose To the folder, C:\EasyBackup.

Now, click Next.

Step 6

If you have set up your Internet storage site as if it is one of your local drives, e.g., as many www.xdrive.com users do, then instead of the folder c:\EasyBackup, you should choose to back up your files to the xdrive folder.

Click Next.

Step 7

EasyOffice Backup will then automatically copy and group all of the selected files from EasyOffice to c:\EasyBackup (or other directory that you have specified).

You can now copy c:\EasyBackup to your Internet storage site. (Or, if you are using your Internet storage site as a local drive, you have already done so, and are finished your backup.)


Backing Up Microsoft Word & Excel Files

EasyOffice Backup automatically backs up Microsoft Word documents and Microsoft Excel spreadsheets that are in the default 'My Documents' directory, when backing up EasyWord documents and EasySpreadsheet spreadsheets, respectively.

As well, in Step 3 of the backup procedure, you are asked to choose any additional files or folders you wish to have backed up. You can choose any other Microsoft Word or Excel, or any other files or folders whatsoever, at this step.


Backing up a Server with EasyOffice Backup

Although EasyOffice Backup was designed as a personal backup program, we have many users running EasyOffice Backup on their WindowsNT servers and their Windows2000 servers.

Operation of EasyOffice Backup on a server is similar to operation as described in the sections above. You can specify one time what files and folders you want EasyOffice Backup to back up, and where you want it to back up these files and folders, and then manually (or automatically via Windows) periodically run the backup.

Prior to using EasyOffice Backup on your server on a regular basis, you should do a test backup and restore, to ensure there are no conflicts or security issues.


Using Setting Files

When you perform a backup, a setting files stores the type of files and folders backed up, where the files are backed up, and so on. You can have many different setting files, each corresponding to a different type of backup.

Suppose you just finished a backup to floppy disks. (If you did not, then perhaps do such a backup so that it will be easier to follow the descriptions below.) You have a setting file saved. Assume that you used the default name, EasyBackup.sav.

When you start EasyOffice Backup, you will have the option to back up or restore files. Choose Backup files.

To use a setting file, check off Load settings from 'setting file'. A window will appear, where you can select the setting file you want to use (c:\EasyBackup\EasyBackup.sav in the example above). Instead of going through all the many steps of specifying the backup procedure to follow, the entire backup will be performed automatically, as specified by this setting file. (If you want the previous backup settings loaded into your current backup session, but do not want the backup to occur automatically, then check off Load in settings, but don't automatically backup or restore.) If this is your first time using EasyOffice Backup, then there will be no setting files. Select

Click Next.


Restore from Floppy Disks

The worst has happened - your computer's hard drive failed and you lost all your programs and files.

Restoring the programs of EasyOffice is easy. Simply insert the EasyOffice CD-ROM and install the programs again.

If you have made backups, then restoring the data files (documents, spreadsheets, etc.) is just as easy, using EasyOffice Backup.

Step 1

Start the EasyOffice Backup program, choose Restore lost files, and then click Next.

Step 2

You will be asked where your data is.

Choose On a floppy disk, and then click Next.

You will be asked to insert the last disk of the set of floppy disks that your backup resides on. Insert the last disk or your set of floppy disks (or the only disk if your data is on one disk) and click Next again.

You will now see a message that your backup files are being unzipped. This will go on for a few moments. You will then be asked to insert "Disk Volume 1 of ...." (i.e., the first floppy disk). The unzipping will continue. If there are additional floppy disks, you will be asked for them one after another, until everything is unzipped, and your files are restored.

Step 3

You will see a message "Your data files have been successfully restored".

"Incorrect path found...." or "Setting file could not be found..."

A setting file must be saved along with the backed up file (and will be automatically saved along with the backed up file, even if you do not specify one). If this setting file (*.sav) has been accidentally erased, then the backup cannot be automatically restored by EasyOffice Backup. (In such a case, you would have to manually copy back up files to their appropriate directories.)


Restore to Another Network Computer

The worst has happened - your computer's hard drive failed and you lost all your programs and files.

Restoring the programs of EasyOffice is easy - simply put the EasyOffice CD-ROM in, and install the programs again.

And, if you've made backups, restoring the data files (your documents, spreadsheets, etc) is just as easy by using EasyOffice Backup.

Step 1

After you start the EasyOffice Backup program, choose Restore lost files and click Next.

Step 2

You will then be asked where is your data. Click On Another Computer in my Network.

Click Next.

Step 3

You will then be asked to select the location in your network where you data is located. These data files will be copied over the network, and copied to the appropriate folders within EasyOffice. After doing so, you will see a message stating that your data files have been successfully restored from the data stored on the network.

Click Next.


Restore from CD-R

The worst has happened - your computer's hard drive failed and you lost all your programs and files.

Restoring the programs of EasyOffice is easy - simply put the EasyOffice CD-ROM in, and install the programs again.

And, if you have made backups, restoring the data files (your documents, spreadsheets, etc.) is just as easy by using EasyOffice Backup.

Step 1

After you start the EasyOffice Backup program, choose Restore lost files and click Next.

You will then be asked where is your data. Click On CD-R.

Insert the CD with your backup data, and click Next.

The data from the CD will be restored to the correct place in EasyOffice.

Note: The Restore of EasyOffice is very flexible. You do not need a full set of backup disks to restore. If you have numerous CDs with backups from various dates, but just want to restore the last CD (or any CD or CDs), that is fine. As well, the data on the backup disks is usually not compressed, but is in original format. This can be very useful under a variety of circumstances. For example, let's say you accidentally erased a document file, "ABC.doc". You can use Windows Explorer to take a look at your backup CDs. Find the file "ABC.doc" and copy it to c:\EasyBackup and restore just that file.


Restore from the Internet

The worst has happened - your computer's hard drive failed and you lost all your programs and files.

Restoring the programs of EasyOffice is easy -- simply put the EasyOffice CD-ROM in, and install the programs again.

And, if you have made backups, restoring the data files (your documents, spreadsheets, etc) is just as easy by using EasyOffice Backup.

First, copy the files from your Internet storage site to the folder c:\EasyBackup. (If you are using your Internet storage site as a local drive, then it is not necessary to do so.)

Step 1

After you start the EasyOffice Backup program, choose Restore lost files and click Next.

Step 2

You will then be asked where is your data. Click In a folder.

Click Next.

Step 3

If your backup files have already been copied from your Internet storage site to c:\EasyBackup, then just click Next to continue. However, if you use your Internet storage site as a local drive, then select the folder representing this site and your EasyOffice backup files.

The data files will then be copied back to the appropriate locations within EasyOffice.


"The restore path is incorrect..."

Every backup that EasyOffice Backup makes will be saved along with an internal (or specified) *.sav setting file \

Do NOT erase this file. EasyOffice Backup will need this file should you ever decide to restore your files. If you erase this file, EasyOffice Backup will not know how to restore the files, and the restore will fail, and you will see the error message "The restore path is incorrect..."

"I accidentally erased the *.sav file, and now EasyOffice Backup will not restore my files. What should I do?"

If the data is essential, then you will have to restore it manually. If files are zipped, then use EasyZip to manually unzip the files. Then manually copy the files to their appropriate directories.


Using EasyBackup from the Command Line

EasyBackup includes EasyBack.exe which can be run from the command line.

You can run EasyBack.exe from the command line. This is useful if you want to include an instruction in a batch file to automatically perform a backup.

Running from the command line means that the interactive normal EasyBackup program does not appear, but instead, depending on the command line switch settings you specify, EasyBack.exe will automatically follow your setting file to perform the backup.

EasyBack.exe can be found in the Windows\System directory

When EasyOffice Premium is installed from a CD-ROM, EasyBack.exe is automatically installed to the Windows\System directory.

Note: Although certain downloadable versions of EasyOffice may include EasyBack.exe, in order to conserve bandwidth, most downloadable versions will not include this program. In order to obtain in such a case, you may need to purchase a CD-ROM.

EasyBack.exe Usage

The usage of EasyBack.exe on the command line is as follows:

  • EasyBack settingfile - This will automatically perform a backup in accordance with the settings in the specified ettingfile'.

  • EasyBack -r settingfile - This will automatically perform a restore in accordance with the settings in the specified 'settingfile'.

Example of Running EasyBack.exe from the Command Line

From the command line, let's perform a backup operation using the setting file easybackup.sav (which was created the previous time the normal EasyBackup program was used).

  • Click Start, then Run, and then enter Command. Enter:

c:\Windows\System\EasyBack c:\easybackup\easybackup.sav

  • Following the instructions in the setting file easybackup.sav a backup operation will be automatically performed.

If you now delete some of the original files, we can try a restore from the command line, using the same setting file. EasyBack.exe will automatically restore the missing files that were previously backed up in accordance with the setting file 'easybackup.sav'.

  • Click Start, then Run, and then enter Command. Enter:

c:\Windows\System\EasyBack -r c:\easybackup\easybackup.sav

  • The missing files will have been restored.

Keep track of the Setting File

You need a setting file to back up files from the command line. If you later want to restore the backed up files, you will need that same setting file, since it specifies all the paths where the files are to be restored to.

Tip: If you are backing up to floppy disks or other removable media or offsite media, you should copy the setting file to this location as well. For example, in the example above, before you begin your backup you could specify:

copy c:\easybackup\easybackup.sav a:

Doing this will ensure that a copy of the setting file is there in the future when you need to restore these files.

Why copy the setting file before the backup is started?

  • You do not have to, but doing so will ensure there is space on the floppy disk to do so.

What happens if I can't find the setting file and I have to restore lost files?

  • You can still obtain the backed up files. (If they have been zipped, simply unzip with EasyZip.) However, you will have to manually copy them back to where they belong, file by file.


Automatic Scheduled Backups

In Windows98 and above, you can use EasyBack.exe to perform automatically scheduled backups.

Click Start -> Programs -> Accessories -> System Tools -> Scheduled Tasks.

The Windows Scheduled Tasks box will appear. The top item will be called Add Scheduled Task. Double-click this item.

The Scheduled Task Wizard will appear. Click Next. You will now see a list of programs. Scroll down until you come to EasyOffice Backup. Click this selection and click Next.

You can now give a new name for this task or use the default 'EasyOffice Backup' name. You also have to specify when and how often you want EasyOffice Backup to be automatically run.

On the next screen click Open advanced properties for this task when I click Finish. Then, click Finish.

In the Run box, enter the command line options and switches you want EasyOffice Backup.exe to use when it runs. (As well, you have the option here of changing when the program should be scheduled to run, as well as specify various settings, such as 'Stop the task if it runs for more than xx hours', etc.)

Click OK.

EasyBack.exe will now be automatically run on the schedule that you have specified.